SSL_CTX_GET0_CERTIFICATE(3)

NAME
SSL_CTX_get0_certificate - get the active certificate from an SSL context

SYNOPSIS
X509 *
SSL_CTX_get0_certificate(const SSL_CTX *ctx);

DESCRIPTION
The SSL_CTX_get0_certificate() function returns an internal pointer to the ASN.1 certificate currently active in ctx or NULL if none was installed with SSL_CTX_use_certificate(3) or similar functions.

The returned pointer must not be freed by the caller.

SEE ALSO
ssl(3), SSL_CTX_new(3), SSL_CTX_use_certificate(3), X509_get_pubkey(3), X509_get_subject_name(3), X509_new(3)

HISTORY
SSL_CTX_get0_certificate() first appeared in OpenSSL 1.0.2 and have been available since OpenBSD 6.3.